# Jaxer.ScriptProcessor : Object
Return to: Jaxer Framework index

This class processes script elements to determine which of its functions fall into the various runat categories.

## Platform Support

Jaxer Server Framework | Jaxer Client Framework
--- | ---
1.0 | no

## Constructors

Constructor | Action | Jaxer Server Framework | Jaxer Client Framework
--- | --- | --- | ---

Jaxer.ScriptProcessor Constructor(ScriptElement element, Object jaxerProxies) : Jaxer.ScriptProcessor
This class processes script elements to determine which of its functions fall into the various runat categories. This class collects each function into its appropriate category and provides convenience functions to generate the necessary source code for this block needed for both client-side and server-side use.
(Advanced)

Show Details

1.0

no

### Jaxer.ScriptProcessor(ScriptElement element, Object jaxerProxies) : Jaxer.ScriptProcessor

This class processes script elements to determine which of its functions fall into the various runat categories. This class collects each function into its appropriate category and provides convenience functions to generate the necessary source code for this block needed for both client-side and server-side use.
(Advanced)

Parameters

ScriptElement | element | The underlying script element to be processed by this class
Object | jaxerProxies | If a non-null object, its properties are the function names that should be proxied even if not explicitly marked as such. If null, no functions should be proxied.

Returns

Jaxer.ScriptProcessor | Returns an instance of ScriptProcessor.

Visibility
  advanced

aptana_docs